Google Groups

Re: Error building latest Gingerbread rootfs


Konstantin Belov Jul 30, 2012 8:10 AM
Posted in group: Android Power Architecture Port
Confirmed. 
All you need to do:
sudo aptitide install gcc-4.4 g++-4.4 g++-4.4-multilib
go to <ppcdroid-repo-tree>
mkdir bin
cd bin
ln -s /usr/bin/gcc-4.4 gcc
ln -s /usr/bin/g++-4.4 g++
ln -s /usr/bin/cpp-4.4 cpp
export PATH=$PWD:$PATH
cd ..
source build/envsetup.sh
lunch 4
make -j8

Looks like gcov-4.4 is not required to build rootfs.

On Monday, July 30, 2012 6:45:00 PM UTC+4, Grigory Tolstolytkin wrote:
Hi Steve,
 
I'm using Ubuntu 12.04 x86 host.  I'm going to just reinstall and start from scratch - will let you know if I encounter any issues.  Thanks
 Still getting errors - I should switch to 10.04 host?

Most likely the following steps should help. It is much simpler than switching to 10.04. Let us know if it will work for you:
1. Install gcc-4.4 package
2. Create the following 4 symlinks and make them available in the PATH, so older toolchain will be used during the build:
$ ls -l ~/bin/
cpp -> /usr/bin/cpp-4.4
g++ -> /usr/bin/g++-4.4
gcc -> /usr/bin/gcc-4.4
gcov -> /usr/bin/gcov-4.4